# codecvt_specializations.h File Reference

## Detailed Description

This file is a GNU extension to the Standard C++ Library.

Definition in file codecvt_specializations.h.

Go to the source code of this file.

## Namespaces

- namespace __gnu_cxx
- namespace std

## Classes

- struct __gnu_cxx::encoding_char_traits< _CharT >
    encoding_char_traits More...
- class __gnu_cxx::encoding_state
    Extension to use iconv for dealing with character encodings. More...
- class std::codecvt< _InternT, _ExternT, encoding_state >
    codecvt<InternT, _ExternT, encoding_state> specialization. More...

## Defines

- #define _EXT_CODECVT_SPECIALIZATIONS_H

## Functions

- template<typename _Tp> size_t std::__iconv_adaptor (size_t(*__func)(iconv_t, _Tp, size_t *, char **, size_t *), iconv_t __cd, char **__inbuf, size_t *__inbytes, char **__outbuf, size_t *__outbytes)